mwbr.net
当前位置:首页 >> mAC如何更改默认python版本 >>

mAC如何更改默认python版本

不建议修改默认版本,系统中可能有依赖默认python版本的软件 开发是选择你需要的版本即可 应该是可以在IDE里选择的 vscode没试过,你可以试试pycharm

1:先找到你的python目录 在terminal下: which python 2. 在python脚本最上一行写: #!/usr/local/bin/python --修改为你自己的python目录 3.将python脚本文件名修改为.command 4,在finder中双击

苹果电脑双系统切换:在电脑开机或重启时,按着“option”键不松手。(详细请看下图)进入引导界面,有“Macintosh HD”和“windows”两个选项,进入Mac系统,用方向键选中“Macintosh HD”,回车即可进入。(详细请看下图)

在终端(Terminal)中输入“python”,之后回车, 就可以看到Python的版本,结果如下: Python 2.7.2 [GCC 4.0.1 (Apple Inc. build 5493)] on darwin 提示:Mac的终端的默认目录为:/Applications/Utilities,中文路径为:/应用程序/实用工具

MySQLdb不支持Python3的版本呦,要是想使用MySQL的话,最好安装mysqlclient1.3.3版本以上,而且mysqlclient不支持python3.2,最好使用python3.3以上的版本。

Sublime Text 2 依赖这个路径,所以可能无法启动。 解决方法:从官方下载Python2.x,安装,然后做一个软链接 前提:2.6 & 2.7(目前最新)都属于2.x,所以语法方面差别不大。 [sudo] ln -s /Library/Frameworks/Python.framework/Versions/2.7/Pyth...

千万不要删掉系统自带的版本。。。 如果想搞,请通过brew来安装可以乱搞的python版本。只需要 $ brew install python # 或者 $ brew install python3 这样通过brew会安装到/usr/local/bin/下,想使用自己安装的版本,把path的先后顺序调整一下,...

试一下在command窗口中运行py -2和py -3

首先得去Python官网下载mac版的Python 3.4并安装。 安装好了很简单,在终端中输入”python3″命令即可切换到Python 3版本,但是问题又来了,怎么在终端中用Python 3运行py文件。 因为在终端输入”python –version”显示的始终是2.7的版本,即使输入”...

建议你不要之间删除,可以修改系统默认的python版本。 可以用 python_select 选择你要的版本 如果要删除的话,可以直接去强制删除:rm -rf python的目录

网站首页 | 网站地图
All rights reserved Powered by www.mwbr.net
copyright ©right 2010-2021。
内容来自网络,如有侵犯请联系客服。zhit325@qq.com